Rename puppetmaster to trusted hosts

02/28/2018 12:25 PM - Daniel Lobato Garcia

Status: Closed   

Priority: Normal   

Assignee: Daniel Lobato Garcia   

Category:    

Target version: 1.18.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/5280

  

Description

The setting trusted_puppetmaster_hosts is used to allow hosts to submit stuff to the facts/reports API endpoint.

The name made sense a long time ago, but these days other plugins and any user can submit stuff to this API to generate

their own reports, send facts from ohai, etc..

It should be renamed to 'trusted_hosts'

Associated revisions

Revision a4956e35 - 03/08/2018 08:27 AM - Daniel Lobato Garcia

Fixes #22721 - Rename setting to trusted_hosts

The setting trusted_puppetmaster_hosts is used to allow hosts to submit

stuff to the facts/reports API endpoint.

The name made sense a long time ago, but these days other plugins and

any user can submit stuff to this API to generate

their own reports, send facts from ohai, etc..

It should be renamed to 'trusted_hosts'

History

#1 - 02/28/2018 12:47 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Daniel Lobato Garcia

- Pull request https://github.com/theforeman/foreman/pull/5280 added

#2 - 03/08/2018 09:23 AM - Marek Hulán

- translation missing: en.field_release set to 330

#3 - 03/08/2018 10:56 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset a4956e35323217b90157f82ae9fb63dc87c75148.
